[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] Update to latest GNULIB to fix compat with Mingw64 toolchain



On 06/21/2012 07:59 AM, Daniel P. Berrange wrote:
> From: "Daniel P. Berrange" <berrange redhat com>
> 
> On both x86_64-w64-mingw32 and i686-w64-mingw32 there were
> the following warnings/errors:
> 

> 
> diff --git a/.gnulib b/.gnulib
> index 77cef20..a02ba4b 160000
> --- a/.gnulib
> +++ b/.gnulib
> @@ -1 +1 @@
> -Subproject commit 77cef2022004c4066e805da09a83b2c77f17bdd3
> +Subproject commit a02ba4bf889fee4622db87f185c3d0af84d74ae7

ACK.  For reference, this includes the following:

a02ba4b nonblocking: Avoid compilation error on mingw64.
c659939 Do use readlink if available
adff17f posixtm-tests: port to buggy compiler
bdb21d3 mktime: fix integer overflow in 'configure'-time test
ebc6ce4 tmpfile, clean-temp: Fix invocation of GetVersionEx.
b8a3d3d fdopen: Allow implementations that don't reject invalid fd
arguments.
e9b0ec8 parse-duration: Make self-test build on its own.
554cd2d autoupdate
c8485c4 init.sh: do not rely on autoupated PWD
4f3bf3d stat, fstat: Avoid warnings on mingw64.
2b14f42 stdioext: Add support for musl libc.
81c7112 *printf-posix: Put more info into config.log.
38aceb4 getopt-gnu: Fix exit code overflow in autoconf test.
5eae670 maint.mk: fix typo in code to derive GPG key at release time
3a4836d regex: avoid warning when pointers are not long
eb3fb20 dummy: Relicense into the public domain.
c48fb40 autoupdate
b42157d announce-gen: VPATH issues
b630d56 gnu-web-doc-update: VPATH builds
10128b6 autoupdate
8cabb1a maint.mk: revert most of the previous change re "all these"
f496493 autoupdate missed x bit
ddc74a7 do not ask for gpg pw with --dry-run
0023eb3 implement --replace for ftp-upload protocol v1.2
70ab9a6 parse-duration: Relicense under LGPLv2+.
70a9bd6 maint.mk: prohibit common grammar error: "all these"
e03145b do-release-commit-and-tag: support VPATH builds
1cda995 readme-release: also require announce-gen and maintainer-makefile
b7797c3 maint.mk: fix VPATH issues.
db60bb4 readme-release: require the promoted modules.
33f8233 update from texinfo
f6c2431 error, strerror-override: Support mingw64 from Fedora 17.
fb6d0f4 error, strerror-override: Support mingw64 from Fedora 17.
04a0376 error, strerror-override: Support new errno values from POSIX:2008.
5b1ef1f autoupdate
587ed1e savewd: add missing dependency on sys_wait module
8eeefe4 system-quote-tests: port to CentOS 5


-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org



Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]